-- @(#)13.sql	2.1.8.1
-- TPC-H/TPC-R Customer Distribution Query (Q13)
-- Functional Query Definition
-- Approved February 1998
create view c_orders (c_custkey, c_count)
as select
	c_custkey,
	count(o_orderkey)
from
	customer left outer join orders on 
		(c_custkey = o_custkey and o_comment not like '%special%requests%')
group by
	c_custkey
;

:staton
select
	c_count,
	count(*) as custdist
from
	c_orders
group by
	c_count
order by
	2 desc,
	1 desc;
:statoff	
commit;

drop view c_orders;

