-- @(#)4.sql	2.1.8.1
-- TPC-H/TPC-R Order Priority Checking Query (Q4)
-- Functional Query Definition
-- Approved February 1998
:staton
select
	o_orderpriority,
	count(*) as order_count
from
	orders o
where
	o_orderdate >= date '1993-07-01'
	and o_orderdate < date '1993-10-01'
	and exists (
		select
			*
		from
			lineitem
		where
			l_orderkey = o.o_orderkey
			and l_commitdate < l_receiptdate
	)
group by
	o_orderpriority
order by
	o_orderpriority;
:statoff

