-- @(#)22.sql	2.1.8.1
-- TPC-H/TPC-R Global Sales Opportunity Query (Q22)
-- Functional Query Definition
-- Approved February 1998
create view custsale (cntrycode, c_acctbal)
as select
	cast(substring(c_phone from 1 for 2) as char(2)) as cntrycode,
	c_acctbal
from
	customer c
where
	substring(c_phone from 1 for 2) in
		('13', '31', '23', '29', '30', '18', '17')
	and c_acctbal > (
		select
			avg(c_acctbal)
		from
			customer
		where
			c_acctbal > 0.00
			and substring(c_phone from 1 for 2) in
				('13', '31', '23', '29', '30', '18', '17')
	)
	and not exists (
		select
			*
		from
			orders
		where
			o_custkey = c.c_custkey
	)
;

:staton
select
	cntrycode,
	count(*) as numcust,
	sum(c_acctbal) as totacctbal
from
	custsale
group by
	cntrycode
order by
	cntrycode;
:statoff

commit;
drop view custsale;

